> ## Documentation Index
> Fetch the complete documentation index at: https://readme.amana-dev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get promo codesmy



## OpenAPI

````yaml /openapi-readme.json get /promo-codes/my
openapi: 3.1.0
info:
  title: Amana API
  version: 1.0.0
  description: API documentation for Amana platform
servers:
  - url: https://gateway.amana.io
    description: Amana app
security: []
tags:
  - name: onboarding
    description: Endpoints related to user onboarding, KYC processes, and account setup.
  - name: auth
    description: Endpoints for user authentication, token management, and session handling.
  - name: trading
    description: >-
      Endpoints related to trading operations, account management, and market
      data retrieval.
  - name: charting
    description: >-
      Endpoints for retrieving historical price data, technical indicators, and
      other charting-related information.
  - name: uaepass
    description: Endpoints for UAE Pass authentication and identity verification.
  - name: alerts
  - name: cms
  - name: dw
  - name: events
  - name: geo-location
  - name: high-leverage
  - name: kyc
  - name: mt
  - name: nafath
  - name: payments
  - name: promo-codes
  - name: smart-money
  - name: support
  - name: symbols
  - name: trading-accounts
  - name: transactions
  - name: user
  - name: watchlists
paths:
  /promo-codes/my:
    get:
      tags:
        - promo-codes
      operationId: get_my_promo_codes
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  promos:
                    type: array
                    items:
                      type: object
                      properties:
                        promoCode:
                          type: string
                        criteria:
                          type: array
                          items:
                            type: object
                            properties:
                              key:
                                type: string
                              label:
                                type: string
                              status:
                                type:
                                  - 'null'
                                  - boolean
                              action:
                                type: object
                                properties:
                                  label:
                                    type: object
                                    additionalProperties:
                                      type: string
                                  deeplink:
                                    type: string
                                required:
                                  - label
                                  - deeplink
                                additionalProperties: false
                            required:
                              - key
                              - label
                              - status
                            additionalProperties: false
                        status:
                          type: string
                        activatedAt:
                          type: string
                        claimedAt:
                          type:
                            - 'null'
                            - string
                        cancelledAt:
                          type:
                            - 'null'
                            - string
                        title:
                          type: string
                        termsAndConditionsLink:
                          type: string
                      required:
                        - promoCode
                        - criteria
                        - status
                        - activatedAt
                        - title
                      additionalProperties: false
                required:
                  - promos
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token obtained from authentication endpoints

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.